sysuse lifeexp.dta

describe

summarize lexp safewater gnppc popgrowth

regress lexp safewater gnppc popgrowth

**** graph matrix for all countries, we have problem with data dist***
graph matrix lexp safewater gnppc popgrowth

**** So, we plot graphs for each variable in regards with lexp****

scatter lexp safewater, mlabel(country)
scatter lexp gnppc, mlabel(country)
scatter lexp popgrowth, mlabel(country)

*** however, we may need statistical evidence to support our opinion so:***
list lexp country r in 1/10



****checking normality of residuals****
kdensity r, normal


**** checking for Heteroscedasticity, graphical****
rvfplot, yline(0)

****  Heteroscedasticity test. Both test the null hypothesis that the variance of the residuals is homogenous. Therefore, if the p-value is very small, we would have to reject the hypothesis and accept the alternative hypothesis that the variance is not homogenous.****
estat imtest
estat hettest


**** checking for Multicollinearity, first we regress, then use vif (variance inflation factor. Rule of thumb: VIF>10 merit further investication, tolerance 1/VIF, is used by to check on the degree of collinearity, Tolearnce value lower than 0.1 comparable to VIF 10.)****
regress lexp safewater gnppc popgrowth

vif
****vif results look fine, since they are not large than 10****


***** if there were multicollinearity we would use robust regression '' rreg lexp gnppc safewater popgrowth, gen(wt)'' ****

***** checking for linearity ****
acprplot gnppc, lowess lsopts (bwidth(1))
acprplot popgrowth, lowess lsopts (bwidth(1))
acprplot safewater, lowess lsopts (bwidth(1))



